Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.flv.meta
Interface IMetaService

All Known Implementing Classes:
  MetaService

    public interface IMetaService

IMetaService Defines the MetaData Service API

Author:
  The Red5 Project (red5@osflash.org), Dominick Accattato (daccattato@gmail.com), Luke Hubbard, Codegent Ltd (luke@codegent.com)

Method Summary
`IMetaCue[]` | `readMetaCue()` Read the Meta Cue Points
`MetaData<?,?>` | `readMetaData(IoBuffer buffer)` Read the MetaData
`void` | `setInStream(FileInputStream fis)` Setter for input stream
`void` | `setOutStream(FileOutputStream fos)` Setter for output stream
`void` | `write(IMetaData<?,?> meta)` Initiates writing of the MetaData
`void` | `writeMetaCue()` Writes the Meta Cue Points
`void` | `writeMetaData(IMetaData<?,?> metaData)` Writes the MetaData

Method Detail

### write

    void write(IMetaData<?,?> meta)
               throws IOException

  Initiates writing of the MetaData

  Parameters:
    `meta` - Metadata
  Throws:
    `IOException` - I/O exception

### writeMetaData

    void writeMetaData(IMetaData<?,?> metaData)

  Writes the MetaData

  Parameters:
    `metaData` - Metadata

### writeMetaCue

    void writeMetaCue()

  Writes the Meta Cue Points

### readMetaData

    MetaData<?,?> readMetaData(IoBuffer buffer)

  Read the MetaData

  Parameters:
    `buffer` - IoBuffer source
  Returns:
    metaData Metadata

### readMetaCue

    IMetaCue[] readMetaCue()

  Read the Meta Cue Points

  Returns:
    Meta cue points

### setInStream

    void setInStream(FileInputStream fis)

  Setter for input stream

  Parameters:
    `fis` - File input stream

### setOutStream

    void setOutStream(FileOutputStream fos)

  Setter for output stream

  Parameters:
    `fos` - File output stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project